# tabs-to-spaces(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

tabs-to-spaces - Converts all tabs to spaces

## SYNOPSIS

tabs-to-spaces

## DESCRIPTION

tabs-to-spaces converts all tab characters found in the current buffer with spaces. The number of spaces a tab is replaced with depends on the column of the tab character and the setting of $buffer-tab-width(5).

The cursor is restored to the start of the current line after completion.

## NOTES

tabs-to-spaces is a macro defined in `format.emf`.

## SEE ALSO

$buffer-tab-width(5), $tab-width(5), tab(2), tab(2m), clean(3), space-rectangle(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>